Bug 831227 - [ipa webui] IE - Unable to Edit Service, and intermittently add service fails
Summary: [ipa webui] IE - Unable to Edit Service, and intermittently add service fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-12 14:11 UTC by Namita Soman
Modified: 2013-03-04 16:58 UTC (History)
5 users (show)

Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 09:15:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
service edit page (128.86 KB, image/png)
2012-06-12 14:14 UTC, Namita Soman
no flags Details
blank edit service page (125.10 KB, image/png)
2012-06-12 14:15 UTC, Namita Soman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 08:22:21 UTC

Description Namita Soman 2012-06-12 14:11:05 UTC
Description of problem:
Using IE, edit a service, and the edit page for the service is sometimes blank, or sometime only shows labels for Principal and Service, but no value, and nothing else on the page

Using IE, add a service. The dropdown lists the services, and hosts, btu cannot pick one of them. So cannot add a service. This happens intermittently. Can sometimes add service using IE.


Version-Release number of selected component (if applicable):
ipa-server-2.2.0-16.el6.i686

How reproducible:
always

Steps to Reproduce:
1. Edit a service
2. Add a service
3.
  
Actual results:
1. Service setting page is blank, or only principal and service labels are displayed with no info
2. Dropdowns for service and hosts are available, but cannot be selected

Expected results:
1. Be able to see the settings page and all info about the service
2. Be able to pick from dropdowns, and add service

Additional info:

Comment 1 Namita Soman 2012-06-12 14:14:53 UTC
Created attachment 591204 [details]
service  edit page

Comment 2 Namita Soman 2012-06-12 14:15:48 UTC
Created attachment 591205 [details]
blank edit service page

Comment 4 Rob Crittenden 2012-06-12 14:34:02 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2834

Comment 5 Petr Vobornik 2012-07-17 14:06:10 UTC
First part fixed upstream.
Master: 7fcca4fa52196ea0082942f9ac39937c097a2064

Some info about second part of the ticket: It is not service specific. It intermittently occurs in all dropdowns of that type and also in Chrome browser. I'm not sure what is the cause yet.

Comment 6 Petr Vobornik 2012-08-01 11:17:37 UTC
Second part fixed. Master: 7a2587e6a15b59b857ab973490b2f6eb9fc9ebe0

Also included additional fix regarding combobox stacking in service adder dialog. Master: fd31396d5129b1980d3ce979af7239f16d3f6fc5

Comment 11 errata-xmlrpc 2013-02-21 09:15:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html


Note You need to log in before you can comment on or make changes to this bug.